Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata.adapter
Class FilterAdapter

    java.lang.Object
      javax.xml.bind.annotation.adapters.XmlAdapter<java.util.List<FilterMetaData>,java.util.Map<java.lang.String,FilterMetaData>>
          org.jboss.portal.portlet.impl.metadata.adapter.FilterAdapter

    public class FilterAdapter

extends javax.xml.bind.annotation.adapters.XmlAdapter<java.util.List<FilterMetaData>,java.util.Map<java.lang.String,FilterMetaData>>

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`FilterAdapter()`

Method Summary
`java.util.List<FilterMetaData>` | `marshal(java.util.Map<java.lang.String,FilterMetaData> map)`
`java.util.Map<java.lang.String,FilterMetaData>` | `unmarshal(java.util.List<FilterMetaData> list)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterAdapter

    public FilterAdapter()

Method Detail

### marshal

    public java.util.List<FilterMetaData> marshal(java.util.Map<java.lang.String,FilterMetaData> map)
                                           throws java.lang.Exception

  Specified by:
    `marshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<java.util.List<FilterMetaData>,java.util.Map<java.lang.String,FilterMetaData>>`
  Throws:
    `java.lang.Exception`

### unmarshal

    public java.util.Map<java.lang.String,FilterMetaData> unmarshal(java.util.List<FilterMetaData> list)
                                                             throws java.lang.Exception

  Specified by:
    `unmarshal` in class `javax.xml.bind.annotation.adapters.XmlAdapter<java.util.List<FilterMetaData>,java.util.Map<java.lang.String,FilterMetaData>>`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.